These are chat archives for SMERM/EMUForm

31st
May 2016
Giuseppe
@grammaton
May 31 2016 07:22 UTC
@nicb AIUTO!
Nicola Bernardini
@nicb
May 31 2016 07:23 UTC
@grammaton que pasa?
Giuseppe
@grammaton
May 31 2016 07:23 UTC
ho fatto un nuovo utente
su dh
nuovo subdomain
installato rvm
type rvm
ok
rvm —version
ok
ora:
$ rvm install 2.2
Searching for binary rubies, this might take some time.
Found remote file https://rubies.travis-ci.org/ubuntu/12.04/x86_64/ruby-2.2.4.tar.bz2
Checking requirements for ubuntu.
Installing requirements for ubuntu.
Updating systememufest password required for 'apt-get --quiet --yes update': ..-
.
Error running 'requirements_debian_update_system ruby-2.2.4',
showing last 15 lines of /home/emufest/.rvm/log/1464679310_ruby-2.2.4/update_system.log
++ [[ -d /usr/sbin ]]
++ [[ :/home/emufest/.gems/bin:/usr/lib/ruby/gems/1.8/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/home/emufest/.rvm/bin: != *\:\/\u\s\r\/\s\b\i\n\:* ]]
++ for sbin_path in /sbin /usr/sbin /usr/local/sbin
++ [[ -d /usr/local/sbin ]]
++ [[ :/home/emufest/.gems/bin:/usr/lib/ruby/gems/1.8/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/home/emufest/.rvm/bin: != *\:\/\u\s\r\/\l\o\c\a\l\/\s\b\i\n\:* ]]
++ [[ -n '' ]]
++ command_to_run=(__rvm_sudo -p "%p password required for '$*': " "${command_to_run[@]}")
++ __rvm_sudo -p '%p password required for '\''apt-get --quiet --yes update'\'': ' apt-get --quiet --yes update
++ command sudo -p '%p password required for '\''apt-get --quiet --yes update'\'': ' apt-get --quiet --yes update
++ sudo -p '%p password required for '\''apt-get --quiet --yes update'\'': ' apt-get --quiet --yes update
emufest is not in the sudoers file.  This incident will be reported.
++ return 1
++ typeset __ret=1
++ case ${__ret} in
++ return 1
Requirements installation failed with status: 1.
:(
Nicola Bernardini
@nicb
May 31 2016 07:24 UTC
petta leggo
Giuseppe
@grammaton
May 31 2016 07:24 UTC
feeling spaesato
Nicola Bernardini
@nicb
May 31 2016 07:24 UTC
no cazzo
ma perché prova a fare un'installazione system e non un'installazione locale in .rvm?
come fai l'installazione di rvm tu?
la fai via apt-get?
se fai
ls -a .rvm
viene fuori calcossa?
@grammaton allò ?
Giuseppe
@grammaton
May 31 2016 07:27 UTC
si
incollo
cioè … la lista del contenuto
serve che incollo?
l’installazione l’ho fatta come sempre… copiando il curl da rvm.io
Nicola Bernardini
@nicb
May 31 2016 07:28 UTC
ma cazzo
allora perché prova a fare un'installazione sistema?
non dovrebbe
Giuseppe
@grammaton
May 31 2016 07:30 UTC
butto l’utente… tanto l’ho appena fatto. ricomincio
Nicola Bernardini
@nicb
May 31 2016 07:30 UTC
mmmh
aspetta guardo la mia installazione con .rvm
mah
non vedo niente di speciale
stai attento a quando fai i copia incolla da rvm.io
che non ci sia un flag --system o roba del genere
perché so che ci stanno due tipi di installazioni
Giuseppe
@grammaton
May 31 2016 07:33 UTC
l’unica cosa che non ho fatto è, quando ho creato il nuovo subdomain, dire a dh di installare .rvm
ho abilitato passenger ma ho pensato rvm me lo installo da solo
Nicola Bernardini
@nicb
May 31 2016 07:33 UTC
no ma quello non l'ho fatto manco io
Giuseppe
@grammaton
May 31 2016 07:33 UTC
ok
Nicola Bernardini
@nicb
May 31 2016 07:33 UTC
almeno, mi pare
Giuseppe
@grammaton
May 31 2016 07:33 UTC
riprovo
Nicola Bernardini
@nicb
May 31 2016 07:33 UTC
e me lo sono installato a mano
ma non c'e` bisogno che rifai tutto da capo
ruspa via .rvm
e le righe dentro i vari .profile e/o .bashrc
e reinstallalo daccapo
Giuseppe
@grammaton
May 31 2016 07:38 UTC
ok
Giuseppe
@grammaton
May 31 2016 07:45 UTC
ok… ho rifatto esattamente gli stessi passi e ora sta andando
sto installando ruby
:)
@nicb grazie
Nicola Bernardini
@nicb
May 31 2016 07:46 UTC
@grammaton menomale che altrimenti non sapevo cosa altro dirti :-)
magari avrai un problema di memoria durante l'installazione
a me ha voluto 600 mbytes
per 30 secondi :-)
Giuseppe
@grammaton
May 31 2016 07:47 UTC
si dato che mi si piantava ogni volta che provavo a installare rails ora sono partito già con 1GB… poi però devo sempre lottare con il resize
:)
Nicola Bernardini
@nicb
May 31 2016 07:48 UTC
perch&eacute? Io glielo resizo a brutto muso, lui baccaja e io me ne frego.
Giuseppe
@grammaton
May 31 2016 07:49 UTC
eh più di qualche volta il force resize se n’è fregato e ho dovuto riavviare la baracca
Giuseppe
@grammaton
May 31 2016 08:29 UTC
@nicb scusa ma ti scoccio ancora
ho fatto una app vuota
di rails
Nicola Bernardini
@nicb
May 31 2016 08:30 UTC
mmh
Giuseppe
@grammaton
May 31 2016 08:30 UTC
dato che a un primo lancio non funzionava ho aggiunto le gem qui indicate
niente
Nicola Bernardini
@nicb
May 31 2016 08:30 UTC
ma che versione di ruby è?
sembra una versione di ruby pre 2.0
Giuseppe
@grammaton
May 31 2016 08:30 UTC
$ ruby --version
ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-linux]
Nicola Bernardini
@nicb
May 31 2016 08:31 UTC
huh oh
sei sicuro che lui stia girando con questa versione?
perché sembra avere una versione pre 2.0
comunque fai una cosa
sostituisci sul gemfile
group: :development
con
:group => :development
e vedi se funziona
Giuseppe
@grammaton
May 31 2016 08:32 UTC
ok
lo fo
cmq ho trovato questo
quindi posso provare evitando gem di terze parti
Giuseppe
@grammaton
May 31 2016 08:46 UTC
@nicb
$ bundle exec rails s     
=> Booting Passenger application server
=> Rails 4.2.6 application starting in development on http://localhost:3000
=> Run `rails server -h` for more startup options
=> Ctrl-C to shutdown server
 --> Downloading a Phusion Passenger agent binary for your platform

 --> Installing Nginx 1.10.0 engine

--------------------------

 [passenger_native_support.so] trying to compile for the current user (emufester) and Ruby interpreter...
     (set PASSENGER_COMPILE_NATIVE_SUPPORT_BINARY=0 to disable)
     Warning: compilation didn't succeed. To learn why, read this file:
     /tmp/passenger_native_support-1ifqdvu.log
 [passenger_native_support.so] finding downloads for the current Ruby interpreter...
     (set PASSENGER_DOWNLOAD_NATIVE_SUPPORT_BINARY=0 to disable)
     Could not download https://oss-binaries.phusionpassenger.com/binaries/passenger/by_release/5.0.28/rubyext-ruby-2.2.2-x86_64-linux.tar.gz: The requested URL returned error: 404 Not Found
     Trying next mirror...
     Could not download https://s3.amazonaws.com/phusion-passenger/binaries/passenger/by_release/5.0.28/rubyext-ruby-2.2.2-x86_64-linux.tar.gz: The requested URL returned error: 403 Forbidden
 [passenger_native_support.so] will not be used (can't compile or download) 
  --> Passenger will still operate normally.
=============== Phusion Passenger Standalone web server started ===============
PID file: /home/emufester/xef.giuseppesilvi.com/xef/tmp/pids/passenger.3000.pid
Log file: /home/emufester/xef.giuseppesilvi.com/xef/log/passenger.3000.log
Environment: development
Accessible via: http://127.0.0.1:3000/

You can stop Phusion Passenger Standalone by pressing Ctrl-C.
Problems? Check https://www.phusionpassenger.com/library/admin/standalone/troubleshooting/
===============================================================================
App 5561 stdout: 
App 5561 stderr:  [passenger_native_support.so] trying to compile for the current user (emufester) and Ruby interpreter...
App 5561 stderr: 
App 5561 stderr:      (set PASSENGER_COMPILE_NATIVE_SUPPORT_BINARY=0 to disable)
App 5561 stderr:      Warning: compilation didn't succeed. To learn why, read this file:
App 5561 stderr:      /tmp/passenger_native_support-ys0tx.log
App 5561 stderr:  [passenger_native_support.so] finding downloads for the current Ruby interpreter...
App 5561 stderr:      (set PASSENGER_DOWNLOAD_NATIVE_SUPPORT_BINARY=0 to disable)
App 5561 stderr:      Could not download https://oss-binaries.phusionpassenger.com/binaries/passenger/by_release/5.0.28/rubyext-ruby-2.2.2-x86_64-linux.tar.gz: The requested URL returned error: 404 Not Found
App 5561 stderr:      Trying next mirror...
App 5561 stderr:      Could not download https://s3.amazonaws.com/phusion-passenger/binaries/passenger/by_release/5.0.28/rubyext-ruby-2.2.2-x86_64-linux.tar.gz: The requested URL returned error: 403 Forbidden
App 5561 stderr:  [passenger_native_support.so] will not be used (can't compile or download) 
App 5561 stderr:   --> Passenger will still operate normally.
App 5601 stdout: 


Started HEAD "/" for 127.0.0.1 at 2016-05-31 01:39:48 -0700
Processing by Rails::WelcomeController#index as HTML
  Rendered /home/emufester/.rvm/gems/ruby-2.2.2/gems/railties-4.2.6/lib/rails/templates/rails/welcome/index.html.erb (2.0ms)
Completed 200 OK in 38ms (Views: 11.9ms | ActiveRecord: 0.0ms)
sbaglio ancora
a questo punto dovrei dirgli di andare in produzione vero?
Nicola Bernardini
@nicb
May 31 2016 08:47 UTC
mmh
ma non so
Giuseppe
@grammaton
May 31 2016 08:47 UTC
cioè non più localhost brutta pippa che non sono altro
Nicola Bernardini
@nicb
May 31 2016 08:47 UTC
io non ho fatto nulla di tutto questo
ho fatto partire passenger e saluti
passenger interfaccia apache con ruby e buonanotte
non c'è nginx né altro di mezzo
Elena D'Alò
@nenelenen
May 31 2016 21:16 UTC
@/all avviso subito che non sarò mai alle 9 in cons
punto alle 9:30
Nicola Bernardini
@nicb
May 31 2016 21:17 UTC
@nenelenen allora puranch'io :-)
Elena D'Alò
@nenelenen
May 31 2016 21:17 UTC
Eh infatti ho avvertito apposta ;)
Nicola Bernardini
@nicb
May 31 2016 21:18 UTC
Ma manca la comunicazione del maestro di cerimonie @grammaton
Giuseppe
@grammaton
May 31 2016 21:21 UTC
:)